Subject: no results yet

From: Pierre Abbat <[email-masked]>
Date: Thu, 04 Aug 2005 00:43:17 -0400

I've been having aroph time with UPS the past few days, so I haven't 
felt like tallying the votes. So if you haven't voted yet, you have a 
day or so to get them in. Someone sent me a couple soap molds, but UPS 
won't leave the package at the office and hasn't come by when I'm here.

phma